#include "types.h"

#ifndef _COMMS_H_
#define _COMMS_H_

/* EMS Action Replay Plus 4-in-1 registers */
#define COMMS_OUT   (*(vuint8 *)0x22080001)
#define COMMS_STAT  (*(vuint8 *)0x22100001)
#define COMMS_IN    (*(vuint8 *)0x22180001)

/* Function prototypes */
uint8 comms_exchange_byte(uint8 value);
void comms_send_word(uint16 data);
void comms_send_long(uint32 data);
uint32 comms_get_long(void);
void par_sync(void);

#endif /* _COMMS_H_ */

